
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>《AngularJS实战》——3.3　作用域概述 / iVAN</title>

    <meta name="description" content="《AngularJS实战》——3.3　作用域概述 3.3 作用域概述 在前面的章节中我们曾经介绍过$scope对象,确切来说,它的实质就是一个作用域对象.从对这个对象的使用,我们发现作用域能存储数据模型.为表达式提供上下文环境和监听表达式的变化并且传播事件,它是页面视图与控制器之间的重要桥梁,也是掌握Angular必须知道的基础概念,接下来,我们详细介绍它的基础功能和在DOM中的使用方法. 3.3.1 作用域特点 具体来说,作用域包括下列3个比较显著的特点. 它提供了一个$watch方法来监听数据模型的变化,之所以能使用&quot;ng-mod ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">《AngularJS实战》——3.3　作用域概述</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h3>3.3　作用域概述</h3>
<p>在前面的章节中我们曾经介绍过$scope对象，确切来说，它的实质就是一个作用域对象。从对这个对象的使用，我们发现作用域能存储数据模型、为表达式提供上下文环境和监听表达式的变化并且传播事件，它是页面视图与控制器之间的重要桥梁，也是掌握Angular必须知道的基础概念，接下来，我们详细介绍它的基础功能和在DOM中的使用方法。</p>
<h4>3.3.1　作用域特点</h4>
<p>具体来说，作用域包括下列3个比较显著的特点。<br />
它提供了一个$watch方法来监听数据模型的变化，之所以能使用“ng-model”指令实现数据的双向绑定，就是通过调用该方法进行数据模型的监听，只要有一端发生变化，另外绑定的一端自动进行数据同步。<br />
它提供另外一个$apply方法，为各种类型的数据模型改变提供支撑，将它们引入到Angular可控制器的范围中。最典型的就是控制器，例如，通过页面视图模板中“ng-click”指令，执行控制器中的代码。<br />
它为表达式提供了执行的环境，一个表达式必须在拥有该表达式属性的作用域中执行才更加合适，作用域通过提供$scope对象，使所有的表达式都拥有对应的执行环境，也就是执行的上下文对象。<br />
接下来，通过一个完整的示例来介绍作用域下调用$watch方法监听数据模块的变化。<br />
示例3-6　$watch方法的使用<br />
（1）功能描述<br />
当在页面的文本框中输入任意“姓名”字符时，另一个</p>
<p>元素中将显示输入框中字符变化的累计次数。<br />
（2）实现代码<br />
新建一个HTML文件3-6.html，加入如代码清单3-6所示的代码。<br />
代码清单3-6　$watch方法</p>
<pre><code>&lt;!doctype html&gt;
&lt;html ng-app="a3_6"&gt;
&lt;head&gt;
    &lt;title&gt;$watch方法&lt;/title&gt;
    &lt;script src="../Script/angular.min.js"
            type="text/javascript"&gt;&lt;/script&gt;
    &lt;style type="text/css"&gt;
        body {
            font-size: 12px;
        }
        div{
            margin:8px 0px;
        }
    &lt;/style&gt;
&lt;/head&gt;
&lt;body&gt;
    &lt;div ng-controller="c3_6"&gt;
        &lt;div&gt;&lt;input type="text"
                    ng-model="name" placeholder="请输入姓名"/&gt;
        &lt;/div&gt;
        &lt;div&gt;累计变化次数: {{count}}&lt;/div&gt;
    &lt;/div&gt;
    &lt;script type="text/javascript"&gt;
        var a3_6 = angular.module('a3_6', []);
        a3_6.controller('c3_6', ['$scope', function ($scope) {
            $scope.count = 0;
            $scope.name = '';
            $scope.$watch('name', function () {
                $scope.count++;
            })
        }])
    &lt;/script&gt;
&lt;/body&gt;
&lt;/html&gt;
</code></pre>
<p>（3）页面效果<br />
执行HTML文件3-6.html，最终实现的页面效果如图3-6所示。<br />
（4）源码分析<br />
在本示例的源码中，当在页面的控制器中编写代码时，先定义两个$scope对象的属性“name”和“count”，前者用于使用“ng-model”指令绑定文本框中的内容，后者用于记录文本框中字符内容变化的累计次数。<br />
然后，使用作用域中的$watch方法对$scope中的“name”属性进行监视，当该属性值发生变化时，将$scope中的“count”属性值累加1，所以，只要在文本输入框中做任何一次的修改，都会通过“count”属性值反馈至页面中。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzM5YTBkNzIxMzljOTkwYjYzN2E1ODI2NWViMmQxY2UxMzIyOGI2MzYucG5n.jpg"></p>
<p>之所以可以通过$watch方法监控模型数据发生的变化，主要是因为在Angular的内部，每当我们对已绑定“ng-model”指令的“name”属性进行修改时，其内部的$digest方法就会自动运行一次，检测已绑定的“name”属性是否与上一次$digest方法运行时获取的内容一致。如果不一致，则执行$watch方法绑定的处理函数，即将“count”属性值累加1。</p>
<h4>3.3.2　作为数据模型的作用域</h4>
<p>在前面的章节中我们曾说过，作用域是控制器与视图的桥梁。不仅如此，它也是视图和指令的桥梁。因为在自定义指令时，会调用$watch方法监听各个表达式的变化，一旦作用域中的表达式发生了变化，$watch方法将通知指令，而指令将根据这个变化重新渲染DOM页面，即更新作用域中的属性值内容。<br />
无论是指令，还是控制器，它们都可以通过作用域与视图中的DOM绑定。由此，诞生了两个数据关系链，一条是：指令——&gt;作用域——&gt;视图；另一条是：控制器——&gt;作用域——&gt;视图。这两条关系链之间还是相互独立的。<br />
接下来，通过一个简单的示例来介绍控制器借助作用域控制视图中元素的显示内容。<br />
示例3-7　作为数据模型的作用域<br />
（1）功能描述<br />
当在页面的文本框中输入内容时，</p>
<p>元素通过双花括号绑定的方式自动同步该内容，并将它显示在<br />元素中。<br />
（2）实现代码<br />
新建一个HTML文件3-7.html，加入如代码清单3-7所示的代码。<br />
代码清单3-7　作为数据模型的作用域</p>
<pre><code>&lt;!doctype html&gt;
&lt;html ng-app="a3_7"&gt;
&lt;head&gt;
    &lt;title&gt;作为数据模型的作用域&lt;/title&gt;
    &lt;script src="../Script/angular.min.js"
            type="text/javascript"&gt;&lt;/script&gt;
    &lt;style type="text/css"&gt;
        body {
            font-size: 12px;
        }
        div{
            margin:8px 0px;
        }
    &lt;/style&gt;
&lt;/head&gt;
&lt;body&gt;
    &lt;div ng-controller="c3_7"&gt;
        &lt;div&gt;&lt;input type="text"
               ng-model="name" placeholder="请输入姓名"/&gt;
        &lt;/div&gt;
        &lt;div&gt;{{name}}&lt;/div&gt;
    &lt;/div&gt;
    &lt;script type="text/javascript"&gt;
        var a3_7 = angular.module('a3_7', []);
        a3_7.controller('c3_7', ['$scope', function ($scope) {
            $scope.name = '';
        }])
    &lt;/script&gt;
&lt;/body&gt;
&lt;/html&gt;
</code></pre>
<p>（3）页面效果<br />
执行HTML文件3-7.html，最终实现的页面效果如图3-7所示。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzlhN2RjNWY0MjFhMmM0MzgyNWViYjA4MmQxYWFlYjNjMjc3YzBhN2UucG5n.jpg"></p>
<p>（4）源码分析<br />
在上述示例的源代码中，先通过页面模块定义了一个名为“c3_7”的控制器，在控制器中引用$scope对象注册了一个名为“name”的属性，而$scope对象则通过注册的属性，控制了页面所需的数据模型，视图模板则通过双向绑定的方式传递并显示数据模型中的属性值。<br />
接下来，分别从控制器和视图这两个角度来分析这个示例的具体流程。从控制器的角度来说，首先，通过$scope对象为“name”属性赋初始值；然后，通过$watch方法通知视图中的文本输入框元素数据已发生了变化，而文本框元素使用“ng-model”指令实现了数据的双向绑定。因此，它可以获悉该变化，并自动同步变化后的“name”属性值，且该值渲染至文本框中。<br />
从视图的角度来说，由于文本框通过“ng-model”指令进行了数据的双向绑定，因此，先通过$scope对象获取控制器中“name”属性值；然后，如果用户在文本框中输入了新的内容，则会自动将该内容传递给控制器中的“name”属性，保持两端的数据同步。<br />
此外，在</p>
<p>元素中使用双花括号的方式绑定“name”属性，该方式分为取值和计算两个阶段，在取值时，双花括号中的表达式将会根据$scope对象寻找所属的控制器，并在控制器中找到添加的“name”属性；取值后，在控制器中进行计算，并将结果返给$scope对象，视图模板中通过$scope获取最终值并进行渲染，最终显示在页面的<br />元素中。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-05 09:58:31</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e5%90%8c%e6%ad%a5/" title="数据同步">数据同步</a>, <a href="https://www.iamivan.net/tag/%e6%ba%90%e7%a0%81/" title="源码">源码</a>, <a href="https://www.iamivan.net/tag/%e8%a1%a8%e8%be%be%e5%bc%8f/" title="表达式">表达式</a>, <a href="https://www.iamivan.net/tag/scope/" title="scope">scope</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>《AngularJS实战》——3.3　作用域概述的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2P37Qp.html" rel="bookmark">《AngularJS实战》&mdash;&mdash;导读</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前 言 为何写作本书 随着互联网技术的发展,尤其是移动互联网技术的兴起和迅速壮大,前端应用的开发并非简单静态页的制作,越来越多的功能复杂的动态应用由前端来完成.但是,在实现的过程中,前端技术自身有许多的不足,很难实现某些复杂功能.为克服自身的不足,往往需要借助一些常用的类库和框架,如jQuery和Backbone等,但这些外部引入的类库或框架只方便了代码开发,并未从根本上改变页面结构.为了从根本上克服静态页在应用开发过程中的不足,我们引入了AngularJS框架. AngularJS是目前最热门			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MAkEgvz.html" rel="bookmark">详解JavaScript的AngularJS框架中的作用域与数据绑定&lowbar;AngularJS</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				AngularJS 简介AngularJS 是由 Google 发起的一款开源的前端 MVC 脚本框架,既适合做普通 WEB 应用也可以做 SPA(单页面应用,所有的用户操作都在一个页面中完成).与同为 MVC 框架的 Dojo 的定位不同,AngularJS 在功能上更加轻量,而相比于 jQuery,AngularJS 又帮您省去了许多机械的绑定工作.在一些对开发速度要求高,功能模块不需要太丰富的非企业级 WEB 应用上,AngularJS 是一个非常好的选择.AngularJS 最为复杂同时			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pL2ERkb.html" rel="bookmark">【AngularJS】&mdash;&mdash; 12 独立作用域</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				独立作用域的作用 为了便于理解,先看一下下面这个例子: &lt;!doctype html&gt; &lt;html ng-app=&quot;myApp&quot;&gt; &lt;head&gt; &lt;meta http-equiv=&quot;Content-Type&quot; content=&quot;text/html; charset=utf-8&quot; /&gt; &lt;script src=&quot;http://apps.bdimg.com/libs/angular.js			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvmrD1b.html" rel="bookmark">《AngularJS实战》&mdash;&mdash;3&period;4　作用域的层级和事件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				3.4 作用域的层级和事件 与页面中DOM模型相似,作用域在绑定页面元素后,便依据元素的层次关系形成了自身的层级关系,而在这些层级关系中,它们还可以通过事件的传播进行数据的通信,只是这种通过事件的数据通信应用的场景非常有限,仅限于父和子级之间的作用域,接下来我们逐一进行分析. 3.4.1 作用域的层级 与DOM树状结构类似,作用域也拥有自己的层级,并且与DOM的树状结构相辅相成,它的顶级作用域只有一个,而下面的子级作用域可以创建多个,子级作用域可以继承父级作用域中的全部属性和方法,但同级别子级作			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn4W40b.html" rel="bookmark">《AngularJS实战》&mdash;&mdash;第3章  Angular的过滤器和作用域</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第3章 Angular的过滤器和作用域在第2章介绍完Angular中的基础知识后,我们将在本章中进一步介绍Angular的另外两个重要的概念--过滤器和作用域.过滤器的功能是格式化数据表达式,只要有数据表达式的地方就可以使用过滤器,如页面模板视图.控制器,在服务中都可能使用过滤器,并且还可以自定义过滤器.与过滤器单一的功能不同,作用域(scope)是Angular中的另一个非常重要的概念,它主要服务于页面模板,在控制器与页面中起桥梁作用,保存模板中的数据对象,为模板中的元素提供方法和属性.在本章			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MWdN1Ap.html" rel="bookmark">《AngularJS实战》&mdash;&mdash;1&period;1　Angular简介</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.1 Angular简介 从开始的概述中我们知道,Angular是基于HTML基础进行扩展的开发工具,其扩展的目的就是希望能通过HTML标签构建动态的Web应用.要实现这样的目的,需要在Angular内部利用了两项技术点,一个是数据的双向绑定,另一个是依赖注入.下面我们来简单介绍这两个新概念.在Angular中,数据绑定可以通过{{}}双花括号的方式向页面的DOM元素中插入数据,也可以通过添加元素属性的方式绑定Angular的内部指令,实现对元素的数据绑定,这两种形式的数据绑定都是双向同步的,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/My273Ep.html" rel="bookmark">详细谈谈AngularJS的子级作用域问题&lowbar;AngularJS</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 AngularJS自带指令目前有ng-include.ng-view.ng-switch.ng-repeat.这样的原因是因为,这些指令虽然是AngularJS内部定义的,但是也是和directive实现的方法都是一样的,其内部使用的是scope:true的方式,子作用域继承了父级的作用,并且构建了一个独立的子作用域,所有双向绑定实现不了,只能单独实现子级作用域继承父级的属性. AngularJS的继承是通过javascript的原型继承方式实现的,进行原型继承即意味着父作用域在子作用域的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z4Wv4Pp.html" rel="bookmark">关于angularJs指令的Scope&lpar;作用域&rpar;介绍&lowbar;AngularJS</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				每当一个指令被创建的时候,都会有这样一个选择,是继承自己的父作用域(一般是外部的Controller提供的作用域或者根作用域($rootScope)),还是创建一个新的自己的作用域,当然AngularJS为我们指令的scope参数提供了三种选择,分别是:false,true,{}:默认情况下是false. 1.scope = false JS 代码: html 代码: result: 修改文本框的内容,两个名字都会变,实际上修改的是同一个$scope的name属性. 2. scope=true			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bEK1PJp.html" rel="bookmark">《AngularJS实战》&mdash;&mdash;3&period;5　本章小结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				3.5 本章小结 在本章节中,先从Angular中的一个重要概念--过滤器讲起,以由浅入深的方式,通过一个个精选的.简单的.实用的.完整的案例,详细阐述了过滤器在Angular中的应用场景和使用方法: 此外,还介绍了Angular中的另一重要知识--作用域,在介绍该知识点时,采用基础理论与示例相结合的方式,逐步深入地介绍了在Angular中运用作用域开发应用的方法与技巧.通过本章的学习,既能巩固前面章节的所学知识,又可以为接下来章节的学习打下更多的实践基础.			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Nz7kyqz.html" rel="bookmark" class="title">阿里云SLB使用Windows 2008&sol;Windows 2012时TCP端口不通</a>
					<div>
						Linux使用LVS DR或者阿里云的SLB TCP模式转发时,需要关闭rp_filter参数,否则会造成健康检查正常,但是端口不通的情况. 随着Windows系统的升级,在Windows2008以上 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/5zOP09b.html" rel="bookmark" class="title">SEO接单技巧八：如何做好细节沟通</a>
					<div>
						当您seo接单成功以后面临的就是和客户细节沟通的问题,那么这个时候您就可以开门见山了,直接和客户沟通产品的细节和品牌以后的发展问题,按照客户的思维来设计网站的网络营销风格,下面具体说说细节沟通主要几点 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMrPvyz.html" rel="bookmark" class="title">用心写网站标题 用户体验和排名两不误</a>
					<div>
						网站标题关键词的权重好,这在seo界已经不是秘密,这样就出现了很多网站标题把关键词罗列的情况,造成标题是又臭又长,这样的网站标题点击率会很高吗?我很肯定的说,不会太高,原因是什么呢?那就是忽略了网站标 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/yMAxKJb.html" rel="bookmark" class="title">浅谈作为一名成功的优化人员你所不能缺失的技能</a>
					<div>
						对于优化,在互联网早期我们可能会认为是一项比较神秘的职业,但随着互联网的发展,搜索引擎的不断更新,现在的搜索引擎优化变得非常的普及,对于优化的知识,在笔者看来都是一些不难的知识,门槛相对于其他行业来说 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZOBZob.html" rel="bookmark" class="title">在Mac上安装Windows 8体验：对视网膜屏支持糟糕</a>
					<div>
						很多Mac用户偶尔也需要用一下Windows应用程序,使用像Parallels Desktop .VMware Fusion 和VirtualBox这样的虚拟机解决方案往往最为方便.这会造成部分性能损 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo6mYdz.html" rel="bookmark" class="title">PL&sol;SQL Developer导出分区索引脚本</a>
					<div>
						不准确分析及规避方法 1 案例回访 硬件环境:IBM XSERIES 3650 操作系统:Windows2003标准版+Sp02 数据库版本:Oracle9.2.0.1 PL/SQL Develope ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0WQZ0b.html" rel="bookmark" class="title">10个创意杰出的视差滚动网站欣赏</a>
					<div>
						  随着CSS 3和HTML 5技术的成熟,许多惊艳的效果都能应用在网站设计中了,比如视差滚动.利用这个技术,加上无限的创意,能创造出令人激动的网站效果,比如今天收集的这一组 :) 温馨提醒:建议用高 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWXdDep.html" rel="bookmark" class="title">电脑禁用迅雷插件后谷歌浏览器还是会自动默认迅雷下载如何解决</a>
					<div>
						  电脑禁用迅雷插件后谷歌浏览器还是会自动默认迅雷下载如何解决           1.打开迅雷软件主界面,点击系统设置图标; 2.点击左侧的&quot;高级设置&quot;; 3.接着点击子项中的& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq8gEZb.html" rel="bookmark" class="title">Win7轻松清理记录小技巧4则</a>
					<div>
						一.从任务栏中清除 在Windows7运行各类程序时,都会在任务栏中显示相应的程序图标,右键点击这些图标时,在出现的右键菜单中会看到最近使用该程序打开文件记录.对于需要清除的记录,可以右键点击该记录, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze7J0AM.html" rel="bookmark" class="title">android-想实现Android的火车票查询功能，请问火车票数据从哪里获取？</a>
					<div>
						问题描述 想实现Android的火车票查询功能,请问火车票数据从哪里获取? 想用Android开发火车票的查询功能,包括到达每站的时刻,所用时间,火车票价,经过的站点! 请问有现成的火车票数据?一般情 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXwPdKM.html" rel="bookmark" class="title">JS&plus;CSS3实现超炫的散列画廊特效&lowbar;javascript技巧</a>
					<div>
						下面来介绍下我按照网上的视频讲解实现的照片墙效果图. 最终实现的效果包括如下:  •当点击某张图片时,该图片移到中间区域并放大显示.当图片被点击时正反面切换显示. •某张图片被点击时,所有的图片的位置 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN7YoJp.html" rel="bookmark" class="title">jquery 操作css样式、位置、尺寸方法汇总&lowbar;jquery</a>
					<div>
						一.CSS 1.css(name) 访问第一个匹配元素的样式属性. 返回值 String 参数 name (String) : 要访问的属性名称 示例: 复制代码 代码如下: $(&quot;p&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE6Gr9M.html" rel="bookmark" class="title">MessagePack&comma; Protocol Buffers和Thrift序列化框架原理和比较说明</a>
					<div>
						第1部分 messagepack说明 1.1messagepack的消息编码说明 为什么messagepack比json序列化使用的字节流更少, 可通过图1-1.图1-2有个直观的感觉.   图1-  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4NgdNM.html" rel="bookmark" class="title">Android性能系列-电量篇</a>
					<div>
						电量篇 1) Understanding Battery Drain 手机各个硬件模块的耗电量是不一样的,有些模块非常耗电,而有些模块则相对显得耗电量小很多. 电量消耗的计算与统计是一件麻烦而且矛盾的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPP9X1p.html" rel="bookmark" class="title">2016阿里云数据库双11复盘-自动化备战，0干预</a>
					<div>
						前言 2016年天猫双11购物狂欢节已经完美落下帷幕,高峰期间订单创建每秒达到了16.5万笔,RDS集群的QPS最高达到了400W,其中99%的商家订单在阿里云云数据库服务中完成存储和处理.这是RDS ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZg285b.html" rel="bookmark" class="title">《C&num;多线程编程实战（原书第2版）》&mdash;&mdash;3&period;2　在线程池中调用委托</a>
					<div>
						3.2 在线程池中调用委托 本节将展示在线程池中如何异步的执行委托.另外,我们将讨论一个叫做异步编程模型(Asynchronous Programming Model,简称APM)的方式,这是.NET ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnKLKoz.html" rel="bookmark" class="title">《云数据管理：挑战与机遇》一2&period;2P2P系统</a>
					<div>
						2.2 P2P系统 作为传统的客户端–服务器模式的另外一种可替代方式,P2P(peer-to-peer)架构提供了一种可行的方案,P2P系统中的很多技术都已经在数据中心中得到了成功应用.P2P系统的主 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwW7rRz.html" rel="bookmark" class="title">求一采集规则</a>
					<div>
						问题描述 try{stringnow=DateTime.Now.ToString(&quot;yyyy-MM-dd&quot;);url=string.Format(&quot;{0}_{1}_{1} ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnKX9Zz.html" rel="bookmark" class="title">创建群的时候失败。</a>
					<div>
						问题描述 本帖最后由 seemse 于 2015-5-27 10:14 编辑 我按照环信SDK提供的方法,每次创建群的时候,都失败了.没有创建成功,什么原因啊? 解决方案 看下返回的error是什么解 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwW4m8z.html" rel="bookmark" class="title">手机推送的价值</a>
					<div>
						 在社交类游戏中,&quot;快来帮帮我!&quot;&quot;牧场出问题了!&quot;的推送是非常常见的,为了唤回用户而发送的推送无效同时很容易让用户感到厌倦. 作为重要的手机应用程序运营手段, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M94rxKb.html" rel="bookmark" class="title">Oracle RAC failover 测试&lpar;连接时故障转移&rpar;</a>
					<div>
						    Oracle RAC 集群最突出的表现就是高可用性,这些内容主要包括load balance以及failover,通过这些技术使得单点故障不影响客户端端应用程序对数据库的正常访问,以及通过创建 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkeq31b.html" rel="bookmark" class="title">让页面更上档次 网页设计细节大总结</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 大家都知道&quot;细节决定成败 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB17ZOz.html" rel="bookmark" class="title">NNabla：索尼开源的一款神经网络框架</a>
					<div>
						NNabla是一款用于研究.开发和生产的深度学习框架.NNabla的目标是要能在台式电脑.HPC集群.嵌入式设备和生产服务器上都能运行. 安装 安装NNabla很简单: 这条命令将安装NNabla的C ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M60ZGgz.html" rel="bookmark" class="title">button问题-android不同activityBUTTON问题</a>
					<div>
						问题描述 android不同activityBUTTON问题 Dears大神们,想请教下:现在project内有两个activity(activity1,activity2),在activity1中通 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQjarKM.html" rel="bookmark" class="title">磁盘调度-winform相关问题 程序抛异常</a>
					<div>
						问题描述 winform相关问题 程序抛异常 如图 解决方案 图太小,看不到代码.检查下Form1的构造函数,其中丢出了错误. 解决方案二: 图太糊了...上面那张图看不清啊					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK5d3Wp.html" rel="bookmark" class="title">关于在VS2005中编写DLL遇到 C4251 警告的解决办法</a>
					<div>
						今天我在弄一个DLL工程的时候,出现了C4251的警告,导致这个警告的原因是,在我的导出类里面有一个D3DXMATRIX的成员变量.要解决问题是很容易的,只需要向前申明的时候将D3DXMATRIX导出 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZBDJ4z.html" rel="bookmark" class="title">c 字符串输入-c语言中如何动态输入字符串而不需要事先定义字符数组大小</a>
					<div>
						问题描述 c语言中如何动态输入字符串而不需要事先定义字符数组大小 如标题 c语言中如何动态输入字符串而不需要事先定义字符数组大小或为字符指针分配空间 解决方案 你这个要求实际使用度太低,或者说,完全没 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4e1oqb.html" rel="bookmark" class="title">mac安装wireshark</a>
					<div>
						前言介绍 wireshark是一个很好的网络数据包抓取和分析软件.是一个跨平台的软件.可以在windows,mac,linux多种操作系统下安装使用.本篇博文主要是介绍如何在mac操作系统下安装. 安 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjw5wnM.html" rel="bookmark" class="title">团购市场研究报告：中国十大团购网站对比分析（2）</a>
					<div>
						中国http://www.aliyun.com/zixun/aggregation/13147.html&quot;&gt;网络团购市场研究报告(2010年10月版本):中国十大团购网站对比分析(2) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJqDADp.html" rel="bookmark" class="title">016&lowbar;《Delphi源代码分析》</a>
					<div>
						&lt;Delphi源代码分析&gt; Delphi 教程 系列书籍 (016) &lt;Delphi源代码分析&gt; 网友(邦)整理 EMail: shuaihj@163.com 下载地址: Pa ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
